curl --request POST \
--url https://api.hubapi.com/marketing/campaigns/2026-03 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {}
}
'import requests
url = "https://api.hubapi.com/marketing/campaigns/2026-03"
payload = { "properties": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({properties: {}})
};
fetch('https://api.hubapi.com/marketing/campaigns/2026-03', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a campaign
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
A collection of key-value pairs representing the properties of the campaign. Each key is a property name, and the corresponding value is the property's value.
Show child attributes
Show child attributes
Response
successful operation
An array of business units associated with the campaign, each represented by a PublicBusinessUnit object.
Show child attributes
Show child attributes
The date and time when the campaign was created, formatted as a date-time string.
The unique identifier for the campaign.
A collection of key-value pairs representing additional properties of the campaign.
Show child attributes
Show child attributes
The date and time when the campaign was last updated, formatted as a date-time string.
Was this page helpful?